import { PropType } from 'vue';

export const titleProps = {
  text: {
    type: String,
    required: true
  },
  width: {
    type: Number,
  },
  height: {
    type: Number,
  },
  fontSize: {
    type: Number,
  },
  fontWeight: {
    type: [Number, String],
  },
  color: {
    type: String,
  },
  backgroundColor: {
    type: String,
  },
  textAlign: {
    type: String,
  },
  direction: {
    type: String as PropType<'horizontal' | 'vertical'>,
  }
}

export const defaultPropsValue = {
  container: {
    style: {
      background: {
        type: 'none'
      }
    },
    props: {
      width: 300,
      height: 80,
    }
  },
  props: {
    text: '标题内容',
    fontSize: 24,
    color: '#fff',
    fontWeight: 'bold',
    textAlign: 'left',
    direction: 'horizontal'
  }
}